Package com.snowbound.rastermaster

## Enum SnowDocFactory.Config

- java.lang.Object
- - java.lang.Enum<SnowDocFactory.Config>
  - - com.snowbound.rastermaster.SnowDocFactory.Config

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<SnowDocFactory.Config>`
  Enclosing class:
    SnowDocFactory

      public static enum SnowDocFactory.Config
      extends java.lang.Enum<SnowDocFactory.Config>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `BIT_DEPTH` | Bits per pixel for document output (default: 24)
    `BOTTOM_MARGIN` |
    `CHAR_SPACING` |
    `CHARS_PER_LINE` |
    `DATE` | Date to use for documents with a 'current date' field
    `DOCUMENT_ID` | User-defined string for identifying documents
    `ITALIC` |
    `LEFT_MARGIN` | Customizable attributes unique to ascii
    `LINE_SPACING` |
    `LINES_PER_PAGE` |
    `LOCALE` | Locale for date and number processing, in LICD String format (en-US)
    `PAGE_HEIGHT` | Height of page in pixels at document resolution
    `PAGE_WIDTH` | Width of page in pixels at document resolution
    `PAGEOFFSETS` |
    `POINTSIZE` |
    `RESOLUTION` | Resolution for document layout (default: 300)
    `RIGHT_MARGIN` |
    `TABSTOP` |
    `TOP_MARGIN` |
    `TYPEFACE` |
    `UTF8MODE` |
    `WEIGHT` |
    `XLSX_MAX_COLUMN_PAGE_WIDTH` | Limits the potential width of a generated page from an XLSX sheet.
    `XLSX_MAX_PAGE_RENDER` | DEPRECATED: Cancels xlsx rendering after the specified number of cells has been rendered
    `XLSX_PRINT_AREA_SHEETS` | List of sheets to apply print area to, if desired.
    `XLSX_USE_PRINT_AREA` | Boolean for xlsx files to obey the print area written in the file.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SnowDocFactory.Config` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static SnowDocFactory.Config[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RESOLUTION

          public static final SnowDocFactory.Config RESOLUTION

      Resolution for document layout (default: 300)

    - #### BIT_DEPTH

          public static final SnowDocFactory.Config BIT_DEPTH

      Bits per pixel for document output (default: 24)

    - #### PAGE_WIDTH

          public static final SnowDocFactory.Config PAGE_WIDTH

      Width of page in pixels at document resolution

    - #### PAGE_HEIGHT

          public static final SnowDocFactory.Config PAGE_HEIGHT

      Height of page in pixels at document resolution

    - #### LOCALE

          public static final SnowDocFactory.Config LOCALE

      Locale for date and number processing, in LICD String format (en-US)

    - #### DOCUMENT_ID

          public static final SnowDocFactory.Config DOCUMENT_ID

      User-defined string for identifying documents

    - #### XLSX_MAX_PAGE_RENDER

          public static final SnowDocFactory.Config XLSX_MAX_PAGE_RENDER

      DEPRECATED: Cancels xlsx rendering after the specified number of cells has been rendered

    - #### XLSX_USE_PRINT_AREA

          public static final SnowDocFactory.Config XLSX_USE_PRINT_AREA

      Boolean for xlsx files to obey the print area written in the file. default - true

    - #### XLSX_PRINT_AREA_SHEETS

          public static final SnowDocFactory.Config XLSX_PRINT_AREA_SHEETS

      List of sheets to apply print area to, if desired. Zero Indexed. Ignored if print area is true. Zero Indexed. default - all sheets.
      Formatting: Comma separated, positive whole numbers only.
      Example: "0,2,3" means sheets [0,2,4] will use `XLSX_USE_PRINT_AREA`, all other sheets will be true

    - #### XLSX_MAX_COLUMN_PAGE_WIDTH

          public static final SnowDocFactory.Config XLSX_MAX_COLUMN_PAGE_WIDTH

      Limits the potential width of a generated page from an XLSX sheet. Without a print area or dimension setting, Rastermaster will allow each page to be as wide as it need to display all the data. Without this, computer generated files run the risk of becoming picture that either take up dozens of gigabytes of space, or just failing in general. Formatting: positive `int` value. Default: `512`

    - #### LEFT_MARGIN

          public static final SnowDocFactory.Config LEFT_MARGIN

      Customizable attributes unique to ascii

    - #### RIGHT_MARGIN

          public static final SnowDocFactory.Config RIGHT_MARGIN

    - #### TOP_MARGIN

          public static final SnowDocFactory.Config TOP_MARGIN

    - #### BOTTOM_MARGIN

          public static final SnowDocFactory.Config BOTTOM_MARGIN

    - #### TABSTOP

          public static final SnowDocFactory.Config TABSTOP

    - #### POINTSIZE

          public static final SnowDocFactory.Config POINTSIZE

    - #### CHARS_PER_LINE

          public static final SnowDocFactory.Config CHARS_PER_LINE

    - #### LINES_PER_PAGE

          public static final SnowDocFactory.Config LINES_PER_PAGE

    - #### WEIGHT

          public static final SnowDocFactory.Config WEIGHT

    - #### ITALIC

          public static final SnowDocFactory.Config ITALIC

    - #### TYPEFACE

          public static final SnowDocFactory.Config TYPEFACE

    - #### LINE_SPACING

          public static final SnowDocFactory.Config LINE_SPACING

    - #### CHAR_SPACING

          public static final SnowDocFactory.Config CHAR_SPACING

    - #### UTF8MODE

          public static final SnowDocFactory.Config UTF8MODE

    - #### PAGEOFFSETS

          public static final SnowDocFactory.Config PAGEOFFSETS

    - #### DATE

          public static final SnowDocFactory.Config DATE

      Date to use for documents with a 'current date' field

  - ### Method Detail

    - #### values

          public static SnowDocFactory.Config[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SnowDocFactory.Config c : SnowDocFactory.Config.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SnowDocFactory.Config valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null